Subject: RE: [Sip] draft-audet-sip-sips-guidelines-00.txt: use of transport=tls

From: "Francois Audet" <[email-masked]>
Date: Thu, 20 Apr 2006 13:04:33 -0500

Proxy A would send it to Proxy B over TLS with:

INVITE sip:userB@proxyB
Via: SIP/2.0/TLS 

> -----Original Message-----
> From: Klaus Darilion [mailto:[email-masked]] 
> Sent: Thursday, April 20, 2006 09:22
> To: Audet, Francois [SC100:3055:EXCH]
> Cc: Paul Kyzivat; SIP IETF
> Subject: Re: [Sip] draft-audet-sip-sips-guidelines-00.txt: 
> use of transport=tls
> 
> 
> Francois Audet wrote:
> > Hi Paul,
> > 
> > Thanks for your comments. I'm starting to digest them.
> > 
> > Rather than copy the whole list of comments, I'll deal with 
> individual 
> > comments separately.
> > 
> > OPEN ISSUE: use of "transport=tls".
> 
> Hi!
> 
> Although RFC3261 states that this parameter is depreciated, I do not 
> understand why. Can you please explain it to me?
> 
> Consider the following example:
> UserA   ProxyA   ProxyB  UserB
> 
> User A sends a request to its proxyA. Then, the request should be 
> forwarded to proxyB via TLS, but there is no need for the 
> whole chain to 
>   be TLS.
> 
> Thus, I would asume that userA sends:
> 
> INVITE sip:userB@proxyB;transport=tls
> 
> But if this parameter is depreciated, how else can I force TLS on a 
> certain hop?
> 
> Thanks
> Klaus
> 
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip